[Stable Update] 2017-05-12 - Kernels, KDE, KDE Apps, Gnome, Browsers

update
stable

#182

I think reinstalling video driver will fix the issue.

sudo mhwd -a pci nonfree 0300

or

sudo mhwd -a pci free 0300

https://wiki.manjaro.org/index.php/Configure_Graphics_Cards


#183

Updated Manjaro-Gnome via Pamac. Running LTS kernel. Updated flawlessly.


#184

Thank you, but no luck. I uninstalled my intel-nvidia-bumblebee driver and reinstalled with the mhwd -a nonfree command… still not able to boot


#185

I’ve experienced a kind of error due to keys, as I refreshed keys first of all ( ‘pacman-key --init, --populate…, --refresh-keys’), what popped an error described:
Víctor:
gpg: Cantidad total procesada: 104
gpg: sin cambios: 63
gpg: nuevas firmas: 737
gpg: skipped packet of type 11 in keyring
gpg: [don’t know]: indeterminate length for invalid packet type 12
gpg: keyring_get_keyblock: read error: Invalid packet
gpg: keydb_get_keyblock failed: Invalid keyring
gpg: keydb_search failed: Invalid keyring
gpg: [don’t know]: partial length invalid for packet type 21
gpg: keyring_get_keyblock: read error: Invalid packet
gpg: keydb_get_keyblock failed: Invalid keyring
gpg: keydb_search failed: Invalid keyring
gpg: packet(1) with unknown version 138
gpg: keyring_get_keyblock: read error: Invalid packet
gpg: keydb_get_keyblock failed: Invalid keyring
gpg: keydb_search failed: Invalid keyring
gpg: [don’t know]: invalid packet (ctb=1f)
gpg: keyring_get_keyblock: read error: Invalid packet
gpg: keyring_get_keyblock failed: Invalid keyring
gpg: fallo reconstruyendo caché del anillo de claves: Invalid keyring
gpg: marginals needed: 3 completes needed: 1 trust model: pgp
gpg: [don’t know]: partial length invalid for packet type 21
gpg: keyring_get_keyblock: read error: Invalid packet
gpg: keydb_get_keyblock failed: Invalid keyring
gpg: validate_key_list failed
==> ERROR: La clave local especificada no se pudo actualizar desde un servidor de claves.

Assisted by some more experienced users, I was told to install/reinstall archlinux-keyring and manjaro-keyring. The first one was successful, but the second one crashed with a message:
’_[baktor@Manxaro ~]$ sudo pacman -S manjaro-keyring
[sudo] password for baktor:
advertencia: manjaro-keyring-20160527-1 está actualizado – reinstalándolo
resolviendo dependencias…
buscando conflictos entre paquetes…

Paquetes (1) manjaro-keyring-20160527-1

Tamaño total de la descarga: 0,06 MiB
Tamaño total de la instalación: 0,08 MiB
Tamaño neto tras actualizar: 0,00 MiB

:: ¿Continuar con la instalación? [S/n] s
:: Recibiendo los paquetes…
manjaro-keyring-201… 59,0 KiB 334K/s 00:00 [######################] 100%
(1/1) comprobando las claves del depósito [######################] 100%
(1/1) verificando la integridad de los paquetes [######################] 100%
error: manjaro-keyring: signature from “Philip Müller (Called Little) philm@manjaro.org” is marginal trust
:: El archivo /var/cache/pacman/pkg/manjaro-keyring-20160527-1-any.pkg.tar.xz está dañado (paquete no válido o dañado (firma PGP)).
¿Quiere eliminarlo? [S/n] n
error: no se pudo realizar la operación (paquete no válido o dañado (firma PGP))
Ocurrieron errores, por lo que no se actualizaron los paquetes
[baktor@Manxaro ~]$
I am abled to update partially, but a lot of packages seems to have a not valid key or ( too much coincidence) corrupt.
If you need any translation on spanish writing above used, please tell me which you need to
Thanks in advance


#186

No issues here, all went soooo good…congrats to the team!!!:slight_smile:


#187

I need the machine up and running desperately right now, so I’m just gonna reinstall. Did a backup of my files before the update. Thanks for the help guys, better luck next time :wink:


#188

No problem on KDE nor 4.11 kernel.


#189

I also updated two XFCE Manjaro machines. All went smooth. I did it in a terminal.
First install/sync pacman-mirrors, setup pacman-mirrors and update.
To sum-up, in terminal:
sudo pacman -S pacman-mirrors sudo pacman-mirrors -i sudo pacman -Syyu

On one machine I had MegaSync installed and it gave me an error after the first reboot.
I reinstalled the megasync related packages (megasync, magasync-nautilus, megasync-thunar) and MegaSync is running again as before.

Congrats to the team! Great Job!!!


Lost Network after Update
#190

Any trouble with 4.10? I’m getting my Ryzen next week. Not sure if I should upgrade to 4.11.


#191

All OK with OpenRC 16.06 Xfce x86_64.


#192

I suggest you to open a new thread in the following section, https://forum.manjaro.org/c/technical-issues-and-assistance/updating.


#193

Had my first ever Gnome core dump, 10 minutes after I installed this update. :fearful:

-- Logs begin at Sun 2017-03-05 01:46:09 EST, end at Sat 2017-05-13 13:29:19 EDT. --
May 13 13:27:58 Z77M systemd-coredump[3558]: Process 857 (gnome-shell) of user 1000 dumped core.
                                             
                                             Stack trace of thread 857:
                                             #0  0x00007f35e1478ed5 n/a (libgjs.so.0)
                                             #1  0x00007f35df59666a g_main_context_dispatch (libglib
                                             #2  0x00007f35df596a20 n/a (libglib-2.0.so.0)
                                             #3  0x00007f35df596d42 g_main_loop_run (libglib-2.0.so.
                                             #4  0x00007f35e0d56d0c meta_run (libmutter-0.so.0)
                                             #5  0x0000000000401ff7 main (gnome-shell)
                                             #6  0x00007f35defaa511 __libc_start_main (libc.so.6)
                                             #7  0x000000000040212a n/a (gnome-shell)
                                             
                                             Stack trace of thread 880:
                                             #0  0x00007f35df06c67d poll (libc.so.6)
                                             #1  0x00007f35df5969b6 n/a (libglib-2.0.so.0)
                                             #2  0x00007f35df596acc g_main_context_iteration (libgli
                                             #3  0x00007f35c0de755d n/a (libdconfsettings.so)
                                             #4  0x00007f35df5be295 n/a (libglib-2.0.so.0)
                                             #5  0x00007f35df3352e7 start_thread (libpthread.so.0)
                                             #6  0x00007f35df07654f __clone (libc.so.6)
                                             
                                             Stack trace of thread 897:
lines 1-23

#194

After this update, the search entry in /etc/resolv.conf includes the hostname, not the domain only which breaks the lookup of hosts within this domain.

Any ideas how to fix this?

Greetings,
Andreas

PS: the rest of the update went smooth after removing the gstreamer-good plugins.


#195

Cinnamon, kernel 4.9
updated through terminal sudo pacman -Syyu

No issues. tip top!

Many thanks.


#196

Hi! I just Update
I lost my network card so no internet (so i boot from windows :rage:)
my card informaion

Card: Intel 82579LM Gigabit Network Connection driver: e1000e v: 3.2.6-k port: f040 bus-ID: 00:19.0
IF: eno1 state: down mac: 00:10:c6:b0:f0:3a

any idea? (now i have to reboot every time and test !!!)


#197

Update Manjaro Cinnamon. Works flawless, like expected. Great Job !


#198

I have already done my updates through a tty, with no issues. However I am curious why not use pamac for this?
And for my updates, I only did “sudo pacman -Syu” however I am seeing lots of users doing “-Syyu”… would that have made a difference?


#199

https://www.archlinux.org/pacman/pacman.8.html

-y, --refresh
Download a fresh copy of the master package database from the server(s) defined in pacman.conf(5). This should typically be used each time you use --sysupgrade or -u. Passing two --refresh or -y flags will force a refresh of all package databases, even if they appear to be up-to-date.


#200

Hi, had the same problem of gtreamer posted above, uninstalled it, but during the updating process the terminal just froze, no cursor or system response, I updated from the terminal, not the tty. Had to restart, and after grub the the pc stays in a command list of ok’s I enter on the tty and when I try to run the update the following error appears:

pacman error while loading shared libraries: libcuc.so.58: cannot open shared object file:No such file or directory

I’ve found some posts about installing libcuc.so.58, however it seems I dont internet acces on the tty.

Thanks for the help
Carlos


#201

Thank you kindly for the info. :smiley: I really appreciate it and I am learning a ton of new stuff. :slight_smile: